import { ImagePipeline } from "../params/ImagePipeline";
/**
 * Performs a FAST and LOW-MEMORY-FOOTPRINT calculation of the memory required to process an image.
 *
 * Uses lots of magic numbers derived from manual tests on various sets of images.
 */
export declare class MemoryEstimationService {
    private readonly pixelsPerFileSizeByte;
    private readonly memoryConstant;
    private readonly memoryBytesPerInputPixel;
    private readonly memoryBytesPerOutputPixel;
    estimateMemoryBytes(imageLocalPath: string, pipeline: ImagePipeline): Promise<number>;
    private estimateInputPixelCount;
    private calculateMaxResizePixels;
    private calculateMaxResizePixelsFromResizeStep;
}
